> ## Documentation Index
> Fetch the complete documentation index at: https://docs.varchev.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Query Orders Info

> Retrieve information about specific orders.




## OpenAPI

````yaml Crypto post /queryOrdersInfo
openapi: 3.0.1
info:
  title: Crypto
  description: crypto
  version: 1.0.0
servers:
  - url: https://gateway.varchev.com/crypto
security:
  - apikeyAuth: []
tags:
  - name: public
  - name: private
paths:
  /queryOrdersInfo:
    post:
      tags:
        - private
      summary: Query Orders Info
      description: |
        Retrieve information about specific orders.
      parameters:
        - name: tenantId
          in: header
          description: Tenant/Owner id
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          required: false
          style: simple
          explode: false
          schema:
            type: string
          example: application/json
      requestBody:
        content:
          application/json:
            schema:
              properties:
                nonce:
                  type: integer
                  description: '(Required) '
                  example: 32687501
                txid:
                  type: string
                  description: >-
                    (Required) Comma delimited list of transaction IDs to query
                    info about (50 maximum)
                  example: sint mollit voluptate
                trades:
                  type: boolean
                  description: >-
                    Whether or not to include trades related to position in
                    output
                  example: false
                userref:
                  type: string
                  description: Restrict results to given user reference id
                  example: '-30483680'
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              style: simple
              explode: false
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
              example:
                error: []
                result:
                  OBCMZD-JIEE7-77TH3F:
                    userref: 0
                    status: closed
                    opentm: 1616665496.7808
                    closetm: 1616665499.1922
                    starttm: 0
                    expiretm: 0
                    descr:
                      pair: XBTUSD
                      type: buy
                      ordertype: stop-loss-limit
                      price: '37500.0'
                      price2: '0'
                      leverage: none
                      order: buy 1.25000000 XBTUSD @ limit 37500.0
                      close: ''
                    vol: '1.25000000'
                    vol_exec: '1.25000000'
                    cost: '37526.2'
                    fee: '37.5'
                    price: '30021.0'
                    stopprice: '0.00000'
                    limitprice: '0.00000'
                    misc: ''
                    oflags: fciq
                    trigger: index
                    trades:
                      - TZX2WP-XSEOP-FP7WYR
                  OMMDB2-FSB6Z-7W3HPO:
                    userref: 0
                    status: closed
                    opentm: 1616592012.2317
                    closetm: 1616592012.2335
                    starttm: 0
                    expiretm: 0
                    descr:
                      pair: XBTUSD
                      type: sell
                      ordertype: market
                      price: '0'
                      price2: '0'
                      leverage: none
                      order: sell 0.25000000 XBTUSD @ market
                      close: ''
                    vol: '0.25000000'
                    vol_exec: '0.25000000'
                    cost: '7500.0'
                    fee: '7.5'
                    price: '30000.0'
                    stopprice: '0.00000'
                    limitprice: '0.00000'
                    misc: ''
                    oflags: fcib
                    trades":
                      - TJUW2K-FLX2N-AR2FLU
      security:
        - default: []
components:
  securitySchemes:
    apikeyAuth:
      type: http
      scheme: apikey
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````